Skip to content
Skip to main content
GET
https://api.us.nylas.com/v3/workflows

Return all workflows

Returns all application-level workflows.

Works with an API key or an IAM API key with the workflows.read permission.

Parameters

Query parameters

limitinteger

The maximum number of objects to return. See Pagination for more information.

Default: 50
page_tokenstring

An identifier that specifies which page of data to return. You can get this value from the next_cursor response field. See Pagination for more information.

Responses

request_id*string

The ID of the request.

Example: "9ca1d434-5ac7-4331-b8fb-3749c9a758d3"
data*array<object>
Example: [{"id":"b79c82b2-a51b-4c54-8469-28006a43551a","grant_id":"6c45fe5e-0bb6-41b9-9acc-ccb15bfc51eb","app_id":null,"is_enabled":true,"name":"Booking Confirmation Workflow","trigger_event":"booking.created","delay":1,"template_id":"14c00cc8-648c-4381-ad10-52641d9bac8e","date_created":1756477389},{"id":"c89d93c3-b62c-5d65-9570-39117b54662b","grant_id":"6c45fe5e-0bb6-41b9-9acc-ccb15bfc51eb","app_id":null,"is_enabled":true,"name":"Booking Reminder Workflow","trigger_event":"booking.reminder","delay":60,"template_id":"25d11dd9-759d-5492-be21-63752e6cbd9f","date_created":1756477500},{"id":"d90e04d4-c73d-6e76-a681-40228c65773c","grant_id":"6c45fe5e-0bb6-41b9-9acc-ccb15bfc51eb","app_id":null,"is_enabled":false,"name":"Booking Cancellation Workflow","trigger_event":"booking.cancelled","delay":0,"template_id":"36e22ee0-86ae-6603-cf32-74863f7dce0g","date_created":1756477600}]
next_cursor*string

A cursor pointing to the next page of results for the request.

Example: "eyJjdXJzb3IiOiJub3RpZmljYXRpb25fd29ya2Zsb3dfYjc5YzgyYjIifQ=="
GEThttps://api.us.nylas.com/v3/workflows?limit=50

Find your API key in the Nylas Dashboard under API Keys in your application settings.

limitinteger

The maximum number of objects to return. See Pagination for more information.

page_tokenstring

An identifier that specifies which page of data to return. You can get this value from the next_cursor response field. See Pagination for more information.